import 'package:flutter/material.dart';

class LightAppTheme {
  static const Color marianumRed = Color.fromARGB(255, 153, 51, 51);

  static final theme = ThemeData(
    brightness: Brightness.light,
    primaryColor: marianumRed,

    colorScheme: const ColorScheme(
      brightness: Brightness.light,

      surface: Colors.white,
      onSurface: Colors.black,

      secondary: Colors.grey,
      onSecondary: Colors.white,

      primary: marianumRed,
      onPrimary: Colors.white,

      background: Colors.white,
      onBackground: Colors.black,

      error: marianumRed,
      onError: marianumRed,
    ),
    inputDecorationTheme: const InputDecorationTheme(
      border: UnderlineInputBorder(borderSide: BorderSide(color: marianumRed)),
    ),
    appBarTheme: const AppBarTheme(
      backgroundColor: marianumRed,
    ),
    progressIndicatorTheme: const ProgressIndicatorThemeData(
      color: marianumRed,
    ),
    checkboxTheme: CheckboxThemeData(
      fillColor: MaterialStateProperty.all(marianumRed),
      // visualDensity: const VisualDensity(horizontal: VisualDensity.maximumDensity),
    ),
  );
}